Create document

Create document. See the OpenAPI-defined parameters, request body, and responses below.

POST /Document

Create document. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Este endpoint cria um novo documento, opcionalmente com arquivo, com os dados fornecidos.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

This operation has no path, query, or header parameters.

Request body

Content type: multipart/form-data · Schema: object

PropertyTypeRequiredDescriptionConstraints
filestring · binaryNo——
Idinteger · int32No——
TitlestringNo——
DescriptionstringNo——
FileUrlstringNo——
DocumentStatusIdinteger · int32No——
DocumentTypeDocumentTypeNo——
DocumentChecklistIdinteger · int32No——
PrivatebooleanNo——

Example request

curl --request POST \
  --url 'https://api.zild.ai/Document' \
  --header 'X-API-Key: YOUR_USER_API_KEY' \
  --form 'file=@file' \
  --form 'Id={Id}' \
  --form 'Title={Title}' \
  --form 'Description={Description}' \
  --form 'FileUrl={FileUrl}' \
  --form 'DocumentStatusId={DocumentStatusId}' \
  --form 'DocumentType={DocumentType}' \
  --form 'DocumentChecklistId={DocumentChecklistId}' \
  --form 'Private={Private}'

Responses

StatusDescriptionResponse body
200Documento criado com sucessoapplication/json · DocumentCreateResponseDto

Example response (200):

{
  "id": 0,
  "title": "string",
  "description": "string",
  "extractedText": "string",
  "analysisText": "string",
  "fileUrl": "string",
  "documentStatusId": 0,
  "documentType": 0,
  "createdAt": "2026-09-22T18:00:00Z",
  "analizedAt": "2026-09-22T18:00:00Z",
  "documentChecklistId": 0,
  "private": true
}

Data models

DocumentCreateResponseDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
titlestringNo—nullable
descriptionstringNo—nullable
extractedTextstringNo—nullable
analysisTextstringNo—nullable
fileUrlstringNo—nullable
documentStatusIdinteger · int32No——
documentTypeDocumentTypeNo——
createdAtstring · date-timeNo—nullable
analizedAtstring · date-timeNo—nullable
documentChecklistIdinteger · int32No——
privatebooleanNo——
DocumentType

0 = Image; 1 = Word; 2 = PDF; 3 = Text

integer